Bug 109662 - Passing -dev argument crashes eclipse
Passing -dev argument crashes eclipse
Status: CLOSED WONTFIX
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 14:53 EST by Jeremy Handcock
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 12:43:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Handcock 2003-11-10 14:53:38 EST
Description of problem:
The automated tests pass `-dev bin' to eclipse on startup, which
crashes eclipse when run natively.

See
http://post-office.corp.redhat.com/archives/eclipse-list/2003-October/msg00168.html
for a detailed description of the problem and some hack-around
patches.  See the previous message in the same thread for instructions
on how to run the automated tests.

Version-Release number of selected component (if applicable):
eclipse-2.1.1

How reproducible:
Always

Steps to Reproduce:
1. Follow the instructions in the message referred to above.
2.
3.
    

Actual Results:  Eclipse crashes.

Expected Results:  From the eclipse docs:

-dev [classpath entries]        Puts the platform in development mode.
 The optional classpath entries (a comma-separated list) are added to
each plug-in's classpath.  For example, when developing plug-ins, use
"-dev bin" to add the Java tooling's bin directory for each plug-in.
Redundant or non-existant classpath entries are eliminated.

The automated tests should run when this argument is used to start up
the eclipse.org automated test suite.
Comment 1 Ben Konrath 2004-11-29 12:43:19 EST
RHDS 2.0 (Eclipse 3.0) is no longer compiled natively, closing bug.

Note You need to log in before you can comment on or make changes to this bug.